- ;;绘制扶梯主程序
- (defun c:tt ()
- (setq bp (getpoint "\n确定基点:"))
- (setq top-length (getreal "\n请确定上水平长度"))
- (setq pts1 '(
- (-2826 0 0)
- (-2846.31 106.185 0)
- (-2827.908 200 0)
- (-2797.37 250 0)
- (-2776 250 0 )
- (-2776 150 0)
- (-2776 0 0)
- )
- )
- (setq line11 (createPline bp pts1 '(
- (3 0.2)
- )
- )
- )
- ;;创建直线1-2
- (setq pts2 '(
- (-2797.37 250 0)
- (-2876 250 0)
- (-2876 950 0)
- (-829 950 0)
- (820.3194 507.8838 0)
- )
- )
- (setq line12 (createPline bp pts2 '(
- (0 0.1325)
- (2 1)
- )
- )
- )
- ;;创建直线1-3
- (setq pts3 '(
- (-2827.908 200 0)
- (-2876 200 0)
- (-2876 1000 0)
- (-816.2831 1000 0)
- (833.7169 557.8838 0)
- )
- )
- (setq line13 (createPline bp pts3 '(
- (0 0.1325)
- (2 1)
- )
- )
- )
- ;;创建直线1-4
- (setq pts4 '(
- (-2776 150 0)
- (-193.7822 150 0)
- )
- )
- (setq line14 (createPline bp pts4 '(
- (0 0)
- )
- )
- )
- ;; 创建直线top-linex1
- (setq ptsx1 (list
- '(0 0 0)
- (list (- (- top-length) 250) 0 0)
- (list (- (- top-length) 250) -80 0)
- (list (+ (- top-length) 250) -80 0)
- (list (+(- top-length) 250) 0 0)
- )
- )
- ;; 创建直线top-linex2
- (setq ptsx2 (list
- (list (+ ( - top-length) 50) -80 0)
- (list (+(- top-length) 50) -1305 0)
- '(296.3263 -1305.0000 0)
- )
- )
- (setq top-linex2 (createPline bp ptsx2 '(
- (0 0)
- )
- )
- )
- ;; 创建直线top-linex3
- (setq ptsx3 (list
- (list (- top-length) -80 0)
- (list (- top-length) -1700 0)
- )
- )
- (setq top-linex3 (createPline bp ptsx3 '(
- (0 0)
- )
- )
- )
- )
|